//broj koji se najvise puta pojavljuje u nizu
//prvo soritramo niz
//a onda jednom pretragom vidimo koji je to broj
#include <stdio.h>
#include <stdlib.h>

#define MAX 1000

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int main(){
	int na;
	int a[MAX];
	
	scanf("%d", &na);
	
	//ovaj zadatak nema smisla ako je na=0
	if(na < 1 || na > MAX)
		greska();
	
	int i, j;
	for(i = 0; i < na; i++){
		scanf("%d", &a[i]);
	}
	
	//selection sort - trivijalna implementacija
	for(i = 0; i < na; i++)
		for(j = i + 1; j < na; j++)
			if(a[i] > a[j]){
				int tmp = a[i];
				a[i] = a[j];
				a[j] = tmp;
			}
			
	//i sada gledamo koji broj se pojavio najveci broj puta
	int max_br; //nebitno sta je...
	int max_poj = 0;
	
	//posto smo sigurni da niz ima bar 1 el.
	//gore smo pozvali gresku ako ima 0 el.
	int tr_br = a[0];
	int tr_poj = 1;
	
	//preskacemo nulti koji smo vec racunali...
	for(i = 1; i < na; i++){
		//dve opcije
		//1. a[i] == tr_br
		//2. a[i] != tr_br
		
		if(a[i] == tr_br){
			tr_poj++;
		}
		else{
			//znaci da smo zavrsili sa jednim brojem
			//i prelazimo na sledeci
			//ALI PRE TOGA moramo da proverimo
			//da li se prethodni broj pojavio max broj puta
			
			if(tr_poj > max_poj){
				max_poj = tr_poj;
				max_br = tr_br;
			}
			tr_br = a[i];
			tr_poj = 1;
		}
	}
	//kada zavrsimo for ciklus
	//promenljive tr_br, i tr_poj sadrze vrednosti zadnjeg
	//broja i to moramo da proverimo
	if(tr_poj > max_poj){
		max_poj = tr_poj;
		max_br = tr_br;
	}	
	
	printf("broj %d se pojavio %d puta\n", max_br, max_poj);
}
