#include <stdio.h>
#include <stdlib.h>

//program na "k"-to mesto postvalja bit "b"

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

void print_bits(unsigned int x){
	int broj_bitova = sizeof(int) * 8;
	unsigned mask = 1 << (broj_bitova - 1);
	
	int i;
	for(i = 0; i < broj_bitova; i++){
		unsigned rez = x & mask;
		if(rez == 0)
			printf("0");
		else
			printf("1");
		mask = mask >> 1;
	}
	
	printf("\n");
}

unsigned int postavi_bit(unsigned int x, int k, int b){
	int br_bit = sizeof(int) * 8;
	if(k < 0 || k >= br_bit)
		greska();
	
	//2 slucaka - postavljamo 0 ili 1
	if(b == 0){
		unsigned mask = ~(1 << k);
		return x & mask;
	}
	else if(b == 1){
		unsigned mask = 1 << k;
		return x | mask;
	}
	else{
		greska();
	}
}



int main(){
	unsigned x = 145;
	print_bits(x);
	x = postavi_bit(x, 2, 1);
	x = postavi_bit(x, 15, 1);
	x = postavi_bit(x, 4, 0);
	print_bits(x);
}