#include <stdio.h>
#include <stdlib.h>
#define MAX 1000

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

int poredi(const void *a, const void *b){
	//a i b su adrese elemenata niza
	//dakle a i b su tipa int*
	return *((int*)a) - *((int*)b);
}

int poredi2(const void *a, const void *b){
	//u ovom slucaju je poredi2 isto kao i poredi
	//ali to ne mora da bude uvek tako!
	//zato smo razdvojili
	return *((int*)a) - *((int*)b);
	
	//kod bsearch-a: a je uvek kljuc koji trazimo
	//a b je adresa elementa u nizu
	
	//mi smo kao kljuc prosledili &kljuc, 
	//kljuc je tipa int
	//a i adresa svakog elementa niza je int*
	//tako da i a i b kastujemo u int*
}

int main(){
	int na;
	int a[MAX];
	scanf("%d", &na);
	if(na < 0 || na > MAX)
		greska();
	
	int i;
	for(i = 0; i < na; i++)
		scanf("%d", &a[i]);
	
	//kada smo uneli sve elemente niza prvo sortiramo
	qsort(a, na, sizeof(int), poredi);
	
	//ucitavamo x
	int x;
	scanf("%d", &x);
	
	//trazimo 2 elementa niza tako da je a[i]+a[j]=x
	
	for(i = 0; i < na; i++){
		int kljuc = x - a[i];
		int* el = bsearch(&kljuc, a, na, 
			sizeof(int), poredi2);
		//el ce biti adresa elementa koji u 
		//zbru sa a[i] daje x
		//NULL ako takav element ne postoji
		
		//ako zelimo da izbegnemo ponavljanja
		//mozemo da pitamo da li je prvi indeks manji 
		//od drugog: if(i < el-a)...
		
		if(el){
			printf("Indeksi %d, %d: %d+%d=%d\n",
				i, el-a, a[i], *el, x);
		}
	}
	
}
